Package: org.apache.groovy.groovysh.completion

## [Groovy] Class StricterArgumentCompleter

- org.apache.groovy.groovysh.completion.StricterArgumentCompleter

-     @CompileStatic
      class StricterArgumentCompleter
      extends jline.console.completer.ArgumentCompleter

  This fixes strict jline 2.12 ArgumentCompleter See https://github.com/jline/jline2/pull/202

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StricterArgumentCompleter(List<jline.console.completer.Completer> completers)` Create a new completer with the default jline.console.completer.ArgumentCompleter.WhitespaceArgumentDelimiter.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(String buffer, int cursor, List<CharSequence> candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class jline.console.completer.ArgumentCompleter` | `jline.console.completer.ArgumentCompleter#isStrict(), jline.console.completer.ArgumentCompleter#setStrict(boolean), jline.console.completer.ArgumentCompleter#complete(java.lang.String, int, java.util.List), jline.console.completer.ArgumentCompleter#getCompleters(), jline.console.completer.ArgumentCompleter#getDelimiter(), jline.console.completer.ArgumentCompleter#wait(long, int), jline.console.completer.ArgumentCompleter#wait(), jline.console.completer.ArgumentCompleter#wait(long), jline.console.completer.ArgumentCompleter#equals(java.lang.Object), jline.console.completer.ArgumentCompleter#toString(), jline.console.completer.ArgumentCompleter#hashCode(), jline.console.completer.ArgumentCompleter#getClass(), jline.console.completer.ArgumentCompleter#notify(), jline.console.completer.ArgumentCompleter#notifyAll()`

- - ### Constructor Detail

    - #### StricterArgumentCompleter(List<jline.console.completer.Completer> completers)

      Create a new completer with the default jline.console.completer.ArgumentCompleter.WhitespaceArgumentDelimiter.

      Parameters:
        `completers` - The embedded completers

  - ### Method Detail

    - #### int complete(String buffer, int cursor, List<CharSequence> candidates)